libwpd Namespace Reference

## Classes

struct | WPXDummyDeleter
class | WPDocument
| This class provides all the functions an application would need to parse WordPerfect documents. More...

## Enumerations

enum | WPDConfidence { WPD_CONFIDENCE_NONE =0 , WPD_CONFIDENCE_UNSUPPORTED_ENCRYPTION , WPD_CONFIDENCE_SUPPORTED_ENCRYPTION , WPD_CONFIDENCE_EXCELLENT }
enum | WPDResult { WPD_OK , WPD_FILE_ACCESS_ERROR , WPD_PARSE_ERROR , WPD_UNSUPPORTED_ENCRYPTION_ERROR , WPD_PASSWORD_MISSMATCH_ERROR , WPD_OLE_ERROR , WPD_UNKNOWN_ERROR }
enum | WPDPasswordMatch { WPD_PASSWORD_MATCH_NONE , WPD_PASSWORD_MATCH_DONTKNOW , WPD_PASSWORD_MATCH_OK }
enum | WPDFileFormat { WPD_FILE_FORMAT_WP6 , WPD_FILE_FORMAT_WP5 , WPD_FILE_FORMAT_WP42 , WPD_FILE_FORMAT_WP3 , WPD_FILE_FORMAT_WP1 , WPD_FILE_FORMAT_UNKNOWN }

## Enumeration Type Documentation

## WPDConfidence

enum libwpd::WPDConfidence

Enumerator
WPD_CONFIDENCE_NONE |
WPD_CONFIDENCE_UNSUPPORTED_ENCRYPTION |
WPD_CONFIDENCE_SUPPORTED_ENCRYPTION |
WPD_CONFIDENCE_EXCELLENT |

## WPDFileFormat

enum libwpd::WPDFileFormat

Enumerator
WPD_FILE_FORMAT_WP6 |
WPD_FILE_FORMAT_WP5 |
WPD_FILE_FORMAT_WP42 |
WPD_FILE_FORMAT_WP3 |
WPD_FILE_FORMAT_WP1 |
WPD_FILE_FORMAT_UNKNOWN |

## WPDPasswordMatch

enum libwpd::WPDPasswordMatch

Enumerator
WPD_PASSWORD_MATCH_NONE |
WPD_PASSWORD_MATCH_DONTKNOW |
WPD_PASSWORD_MATCH_OK |

## WPDResult

enum libwpd::WPDResult

Enumerator
WPD_OK |
WPD_FILE_ACCESS_ERROR |
WPD_PARSE_ERROR |
WPD_UNSUPPORTED_ENCRYPTION_ERROR |
WPD_PASSWORD_MISSMATCH_ERROR |
WPD_OLE_ERROR |
WPD_UNKNOWN_ERROR |